.button,
input[type="button"],
input[type="submit"],
input[type="reset"] {
	display: inline-block;
	padding: 12px 16px;
	border: 1px solid transparent;
	font-size: 14px;
	font-weight: 400;
	line-height: 1.15;
	letter-spacing: 0.06em;
	text-align: center;
	text-transform: uppercase;
	text-decoration: none;
	transition-property: border-color, background-color, box-shadow, color;
	transition-duration: 0.25s;
	transition-timing-function: ease-out;

	&.button--primary {
		border-color: #000;
		background-color: #000;
		color: #fff;

		@include hover {
			border-color: #808080;
			background-color: #808080;
		}
	}

	&.button--full-width {
		width: 100%;
	}
}
